import Vue from 'vue'
import App from './App'
import store from './store' // store
import plugins from './plugins' // plugins
import './permission' // permission
Vue.use(plugins)

import uView from '@/uni_modules/uview-ui'
Vue.use(uView)

import * as whole from '@/utils/common.js'
Vue.prototype.$whole = whole

import * as utilDD from '@/utils/dd.js'
Vue.prototype.$ddFunction = utilDD

Vue.config.productionTip = false
Vue.prototype.$store = store

App.mpType = 'app'

const app = new Vue({
  ...App
})

app.$mount()